<template>
  <div>
  <b-card
    :title="post.title"
    img-src="https://picsum.photos/600/300/?image=25"
    img-alt="Image"
    img-top
    tag="article"
    style="max-width: 20rem;"
    class="mb-2"
  >
    <b-card-text>
        {{post.body}}
    </b-card-text>

    <b-button :disabled="post.saved" @click="postSaved(post)" href="#" variant="primary">Salveaza</b-button>
  </b-card>
</div>
</template>

<script>
export default {
props: ['post'],
methods: {
    postSaved(post){
        post.saved = true;
        this.post = post
        this.$emit('postSaved',post)
    }
}

}
</script>

<style>

</style>